<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:background="@drawable/setting_fragment_bg"

    android:layout_height="match_parent">

<!--    <com.google.android.material.bottomnavigation.BottomNavigationView-->
<!--        android:id="@+id/bn_cotton_topnavigation"-->
<!--        android:layout_width="wrap_content"-->
<!--        android:layout_height="100dp"-->
<!--        android:layout_marginLeft="40dp"-->

<!--        android:background="#167ee7"-->
<!--        app:elevation="0dp"-->
<!--        app:itemBackground="@drawable/backstage_bottom_item_selector"-->
<!--        app:itemHorizontalTranslationEnabled="false"-->
<!--        app:itemTextAppearanceActive="@style/BottomNavigationView.Active"-->
<!--        app:itemTextAppearanceInactive="@style/BottomNavigationView.Inactive"-->
<!--        app:labelVisibilityMode="labeled"-->
<!--        app:layout_constraintStart_toStartOf="parent"-->
<!--        app:layout_constraintTop_toTopOf="parent"-->
<!--        app:menu="@menu/backstage_menu_product" />-->




    <net.lucode.hackware.magicindicator.MagicIndicator
        android:id="@+id/magic_indicator8"
        android:layout_width="match_parent"
        android:layout_height="88dp"
        android:paddingLeft="20dp"
        android:background="@drawable/backstage_shape_product_nav"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent" />


    <androidx.fragment.app.FragmentContainerView
        android:id="@+id/cottoncandy_fragmenttcontainerview"
        android:name="androidx.navigation.fragment.NavHostFragment"
        android:layout_width="match_parent"
        android:layout_height="0dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toBottomOf="@+id/magic_indicator8"
        app:navGraph="@navigation/backstage_cotton_nav" />

</androidx.constraintlayout.widget.ConstraintLayout>